List Numbers
Numbers
List Numbers
Retrieves a paginated list of numbers for the authenticated user’s current workspace. The numbers are returned using cursor-based pagination.
GET
List Numbers
Authorizations
Bearer token authentication
Query Parameters
The number of items per page. Must be at least 1. Must not be greater than 100.
Example:
25
The cursor for pagination. Use the meta.next_cursor or meta.previous_cursor from the response.
Example:
"example"
Response
200 - application/json
Example:
[
{
"id": "01kqh44f2j4aj3f4nyqr28r3t7",
"number": "0327177670",
"nickname": "Annette O'Kon",
"inbound_agent_id": null,
"outbound_agent_id": null,
"livekit_trunk_id": "SDR_fk5jw7c3p6mmx",
"livekit_dispatch_id": "ST_a17ikfd658xt5",
"workspace_id": "01kqh44f26qesc5q56sjj3636y",
"created_at": "2026-05-01T06:38:04+00:00",
"updated_at": "2026-05-01T06:38:04+00:00"
},
{
"id": "01kqh44f3qnvwtews1e310sbj9",
"number": 328959751,
"nickname": "Support Line",
"inbound_agent_id": null,
"outbound_agent_id": null,
"livekit_trunk_id": "SDR_ee8dy8w3f9ypb",
"livekit_dispatch_id": "ST_l12gdsy479dv9",
"workspace_id": "01kqh44f3bfkk6z7av44mhwgs7",
"created_at": "2026-05-01T06:38:04+00:00",
"updated_at": "2026-05-01T06:38:04+00:00"
}
]
